Subject: Re: bug#61538: Iconifying a frame changes its title

From: Eli Zaretskii <[email-masked]>
Date: Thu, 16 Feb 2023 09:50:27 +0200

> From: Jonas Bernoulli <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 15 Feb 2023 23:20:52 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Is there a knob, that I am not aware of, to control this?
> >> If not, please consider adding one.
> >
> > Isn't this a duplicate of bug#61496, especially the last part of its
> > discussion?
> 
> I should have looked at the info manual and the bug tracker more closely
> before opening this.  I actually saw `icon-title-format', but I jumped
> to the conclusion that it had something to do with displaying an
> application icon.
> 
>      Sorry for the noise!

No sweat.

Would you mind expressing your opinion about the proposals in
bug#61496, specifically:

  . setting icon-title-format to t would mean "use frame-title-format"
  . leaving the default as it is in Emacs 29, with t being opt-in

Would you consider the above a good solution for Emacs 29, or do you
think we must change the default to t?

Thanks.